/*

	Copyright  2003 Frank Condello
	
	Portions Copyright  2001 Dair Grant <mailto:dair@webthing.net>
	and Copyright  2003 Joe Strout <joe@strout.net> (from "LoadSaveJPEG")
	
	"GetData" based on code by Will Leshner <leshner@ljug.com>
	
	Linux port contributed by Jonathan Johnson <jonj@realsoftware.com>

*/

/* PNGu.h: Main header */

#ifndef PNGU_H
#define PNGU_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#if TARGET_OS_WIN32
typedef unsigned char Byte;// Workaround for a problem with zlib headers
#endif

#include "RBCommon.h"

FILE *OpenFILEFromFolderItem(REALfolderItem theFile, const char *fileMode);
Boolean BuildImageDataFromPicture(REALpicture thePicture, UInt32 theWidth, UInt32 theHeight, UInt8 *imageData);
Boolean BuildImageDataFromPictureAndMask(REALpicture thePicture, REALpicture theMask, UInt32 theWidth, UInt32 theHeight, UInt8 *imageData);

#endif // PNGU_H